-- Remove the aggregate and assembly if they're there
IF OBJECT_ID('dbo.Median') IS NOT NULL DROP Aggregate Median 
GO 
IF OBJECT_ID('dbo.Percentile') IS NOT NULL DROP Aggregate Percentile 
GO 
IF EXISTS (SELECT * FROM sys.assemblies WHERE name = 'Median') 
       DROP assembly Median; 
GO      

CREATE Assembly Median 
   AUTHORIZATION dbo 
   FROM 'c:\Median.dll' 
   WITH PERMISSION_SET = SAFE; 
GO 

CREATE AGGREGATE dbo.Median ( 

    @Value Float 
) RETURNS Float 
EXTERNAL Name Median.Median; 
GO 
CREATE AGGREGATE dbo.Percentile ( 

    @Value Float 
  , @Pnth Float 

) RETURNS Float 
EXTERNAL Name Median.Percentile; 
GO   